IAM Cloud provides full integration for a variety of 3rd party applications, including, but not limited to Workday and Capita Sims.


Full integration requires use of the IAM Cloud API to connect to the API's of the integrated 3rd party application. In many cases the release of a newer version of a 3rd party application also results in an updated version of the API of the 3rd party application. Most of the time the updated version is backwards compatible, so the provided functionality is not affected and you can continue to use the IAM Cloud platform without any required changes.


There are two scenarios were the IAM Cloud Platform and API will get updated to use the newer API version of the 3rd party application:

  • The new API is providing additional functionality, that the IAM Cloud Platform wants to utilise to enhance the system
  • The new API is not fully backwards compatible, e.g because of some enhanced security fixes or deprecated functions


IAM Cloud will monitor updates from 3rd party applications and will try to proactively provide a newer version of the own API to use. In either scenario you can facilitate the process by submitting a support ticket. Please include any documentation from the 3rd party application and your desired window for updating to the new version of the 3rd party application. 


When IAM Cloud releases a new version of its API and this version is not compatible to an older version of the 3rd party application, there will be an configuration setting for that application to select your version of the 3rd party application. This is to ensure that you are free to choose which version of the 3rd party application you want to use and it also removes the need to update to the new version, as you are free to still run the older version.


Should you be unsure, how to proceed with an version upgrade in regards to the use of the IAM Cloud platform, please get in contact with IAM Cloud Technical Support.